--- revoke-full.orig	2015-07-13 19:24:43.000000000 +0200
+++ revoke-full	2015-08-20 07:46:03.296973081 +0200
@@ -8,6 +8,8 @@
 
 if [ $# -ne 1 ]; then
     echo "usage: revoke-full <cert-name-base>";
+    echo "       or"
+    echo "       revoke-full --initcrl"
     exit 1
 fi
 
@@ -23,8 +25,11 @@
 	# required due to hack in openssl.cnf that supports Subject Alternative Names
     export KEY_ALTNAMES=""
 
-    # revoke key and generate a new CRL
-    $OPENSSL ca -revoke "$1.crt" -config "$KEY_CONFIG"
+    if [ "$1" != "--initcrl" ]
+    then
+        # revoke key and generate a new CRL
+        $OPENSSL ca -revoke "$1.crt" -config "$KEY_CONFIG"
+    fi
 
     # generate a new CRL -- try to be compatible with
     # intermediate PKIs
@@ -35,8 +40,11 @@
         cat ca.crt "$CRL" >"$RT"
     fi
 
-    # verify the revocation
-    $OPENSSL verify -CAfile "$RT" -crl_check "$1.crt"
+    if [ "$1" != "--initcrl" ]
+    then
+        # verify the revocation
+        $OPENSSL verify -CAfile "$RT" -crl_check "$1.crt"
+    fi
 else
     echo 'Please source the vars script first (i.e. "source ./vars")'
     echo 'Make sure you have edited it to reflect your configuration.'
